###############################################################################
#                                                                             #
#                               Repeat After Me                               #
#                               _______________                               #
#                                                                             #
#                       Created with: Godot                                   #
#                             Author: Denis NICOLAS                           #
#                            License: GNU GPL Version 3                       #
#                                                                             #
###############################################################################

extends Button

var long_press := false
var long_press_timer: Timer


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


# Called when the node enters the scene tree for the first time.
func _ready():
	long_press_timer = $Timer as Timer


func _on_About_button_down():
	# Start timer to check for long press
	if long_press_timer.is_stopped():
		long_press = false
		long_press_timer.start()


func _on_About_button_up():
	long_press_timer.stop() # Cancel long press on input released
	if not long_press:
		# Do single press stuff
		if Var.game_over and Var.interactive:
			var about_dialog := get_node("/root/RAM/GUI/AboutDialog") as Popup
			about_dialog.popup_centered()
			get_node("/root/RAM").show_message("TOGGLE_MESSAGES")


func _on_Timer_timeout():
	if Var.messages:
		get_node("/root/RAM").show_message("MESSAGES_DISABLED")
		Var.messages = false
	else:
		Var.messages = true
		get_node("/root/RAM").show_message("MESSAGES_ENABLED")
	
	# Save state
	var ram = get_node("/root/RAM")
	ram.config.set_value("States", "messages", Var.messages)
	ram.config.save("user://config.cfg")
		
	long_press = true
